Display full version of the post: cad 2006 / "break"

fiors
16.06.2011, 22:47
i've reverted to cad 2006 and want to find a way to get around not having lay-off/lay-is, ect.
 
also. I've never been able to figure out how to get "break" to work without having the break occur in a forshortening of the line---then having to extend it.
 
advice?
thanks!!!!

John Connor
17.06.2011, 12:33
Try searching for a third-party lisp routine that will replicate the layer isolate, etc. commands you are missing.  Visit Cadalyst magazine and look in the CAD Tips section.You want to use the Break command with the First option I believe.


Kajito
17.06.2011, 18:13
there is no need for third party ...  it is all in express tools

AfrikaansAlbanianArabicArmenianAzerbaijaniBasqueBelarusianBulgarianCatalanChinese (Simplified)Chinese (Traditional)CroatianCzechDanishDetect languageDutchEnglishEstonianFilipinoFinnishFrenchGalicianGeorgianGermanGreekHaitian CreoleHebrewHindiHungarianIcelandicIndonesianIrishItalianJapaneseKoreanLatinLatvianLithuanianMacedonianMalayMalteseNorwegianPersianPolishPortugueseRomanianRussianSerbianSlovakSlovenianSpanishSwahiliSwedishThaiTurkishUkrainianUrduVietnameseWelshYiddish⇄AfrikaansAlbanianArabicArmenianAzerbaijaniBasqueBelarusianBulgarianCatalanChinese (Simplified)Chinese (Traditional)CroatianCzechDanishDutchEnglishEstonianFilipinoFinnishFrenchGalicianGeorgianGermanGreekHaitian CreoleHebrewHindiHungarianIcelandicIndonesianIrishItalianJapaneseKoreanLatinLatvianLithuanianMacedonianMalayMalteseNorwegianPersianPolishPortugueseRomanianRussianSerbianSlovakSlovenianSpanishSwahiliSwedishThaiTurkishUkrainianUrduVietnameseWelshYiddishEnglish (auto-detected) » English

Kajito
17.06.2011, 18:15
oh and for the break command, I use the following lisp. I think I found it once here:

(defun c:bb ( / object breakpoint) (terpri) ;; Set a single object (if (setq object (ssget ":S")) (progn ;; Use the redraw function to highlight the selected object (redraw (ssname object 0) 3) ;; Get the second break point (if (setq breakpoint (getpoint "\nSpecify the break point ")) ;; Use the Break command to break the selected object at the selected point (command "._break" object breakpoint "@") ;; Inform the user that no point was selected (progn (prompt "\nNo point selected.") (redraw (ssname object 0) 4) ) ) ) ;; Inform the user that no object was selected (prompt "\nNo object selected") ) (princ))AfrikaansAlbanianArabicArmenianAzerbaijaniBasqueBelarusianBulgarianCatalanChinese (Simplified)Chinese (Traditional)CroatianCzechDanishDetect languageDutchEnglishEstonianFilipinoFinnishFrenchGalicianGeorgianGermanGreekHaitian CreoleHebrewHindiHungarianIcelandicIndonesianIrishItalianJapaneseKoreanLatinLatvianLithuanianMacedonianMalayMalteseNorwegianPersianPolishPortugueseRomanianRussianSerbianSlovakSlovenianSpanishSwahiliSwedishThaiTurkishUkrainianUrduVietnameseWelshYiddish⇄AfrikaansAlbanianArabicArmenianAzerbaijaniBasqueBelarusianBulgarianCatalanChinese (Simplified)Chinese (Traditional)CroatianCzechDanishDutchEnglishEstonianFilipinoFinnishFrenchGalicianGeorgianGermanGreekHaitian CreoleHebrewHindiHungarianIcelandicIndonesianIrishItalianJapaneseKoreanLatinLatvianLithuanianMacedonianMalayMalteseNorwegianPersianPolishPortugueseRomanianRussianSerbianSlovakSlovenianSpanishSwahiliSwedishThaiTurkishUkrainianUrduVietnameseWelshYiddishEnglish (auto-detected) » English

John Connor
17.06.2011, 19:29
Maybe he forgot to load Express Tools?